/* KERNELS */

enum {max_nb_stage=5};
extern double tauj[max_nb_stage];
extern double cslj[max_nb_stage][max_nb_stage], cflj[max_nb_stage][max_nb_stage];

void dynamico_init_params(void);

void dynamico_ARK_step(double *mass_col, double *rhodz, double *theta_rhodz, 
		       double *u, double *geopot, double *w,
		       double *theta, double *ps, double *pk, double *hflux, double *qv,
		       double *dmass_col, double *drhodz, double *dtheta_rhodz,
		       double *du_fast, double *du_slow,
		       double *dPhi_fast, double *dPhi_slow, 
		       double *dW_fast, double *dW_slow);

/* KERNELS -> XIOS */
void dynamico_setup_xios(void);
void dynamico_xios_set_timestep(double);
void dynamico_xios_update_calendar(int);
/* CXIOS */
void cxios_context_close_definition(void);
void cxios_context_finalize(void);
void cxios_finalize(void);

void cxios_write_data_k81(char*, int, double*, int);
void cxios_write_data_k82(char*, int, double*, int, int);
void cxios_write_data_k83(char*, int, double*, int, int, int);
